=head1 NAME

Gtk2::ToolItemGroup - wrapper for GtkToolItemGroup

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::ToolItemGroup



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::ToolShell



=cut


=head1 METHODS

=head2 widget = Gtk2::ToolItemGroup-E<gt>B<new> ($label)

=over

=item * $label (string) 

=back

=head2 boolean = $group-E<gt>B<get_collapsed> 

=head2 $group-E<gt>B<set_collapsed> ($collapsed)

=over

=item * $collapsed (boolean) 

=back

=head2 toolitem = $group-E<gt>B<get_drop_item> ($x, $y)

=over

=item * $x (integer) 

=item * $y (integer) 

=back

=head2 ellipsizemode = $group-E<gt>B<get_ellipsize> 

=head2 $group-E<gt>B<set_ellipsize> ($ellipsize)

=over

=item * $ellipsize (Pango::EllipsizeMode) 

=back

=head2 reliefstyle = $group-E<gt>B<get_header_relief> 

=head2 $group-E<gt>B<set_header_relief> ($style)

=over

=item * $style (Gtk2::ReliefStyle) 

=back

=head2 $group-E<gt>B<insert> ($item, $position)

=over

=item * $item (Gtk2::ToolItem) 

=item * $position (integer) 

=back

=head2 integer = $group-E<gt>B<get_item_position> ($item)

=over

=item * $item (Gtk2::ToolItem) 

=back

=head2 $group-E<gt>B<set_item_position> ($item, $position)

=over

=item * $item (Gtk2::ToolItem) 

=item * $position (integer) 

=back

=head2 string = $group-E<gt>B<get_label> 

=head2 $group-E<gt>B<set_label> ($label)

=over

=item * $label (string) 

=back

=head2 widget = $group-E<gt>B<get_label_widget> 

=head2 $group-E<gt>B<set_label_widget> ($label_widget)

=over

=item * $label_widget (Gtk2::Widget) 

=back

=head2 integer = $group-E<gt>B<get_n_items> 

=head2 toolitem = $group-E<gt>B<get_nth_item> ($index)

=over

=item * $index (integer) 

=back



=cut


=head1 PROPERTIES

=over

=item 'collapsed' (boolean : default false : readable / writable / private / static-nick / static-blurb)

Whether the group has been collapsed and items are hidden

=item 'ellipsize' (Pango::EllipsizeMode : default "none" : readable / writable / private / static-nick / static-blurb)

Ellipsize for item group headers

=item 'header-relief' (Gtk2::ReliefStyle : default "normal" : readable / writable / private / static-nick / static-blurb)

Relief of the group header button

=item 'label' (string : default "" : readable / writable / private / static-nick / static-blurb)

The human-readable title of this item group

=item 'label-widget' (Gtk2::Widget : default undef : readable / writable / private / static-nick / static-blurb)

A widget to display in place of the usual label

=back



=cut


=head1 CHILD PROPERTIES

=over

=item 'expand' (boolean : default false : readable / writable / private / static-nick / static-blurb)

Whether the item should receive extra space when the group grows

=item 'fill' (boolean : default true : readable / writable / private / static-nick / static-blurb)

Whether the item should fill the available space

=item 'homogeneous' (boolean : default true : readable / writable / private / static-nick / static-blurb)

Whether the item should be the same size as other homogeneous items

=item 'new-row' (boolean : default false : readable / writable / private / static-nick / static-blurb)

Whether the item should start a new row

=item 'position' (integer : default 0 : readable / writable / private / static-nick / static-blurb)

Position of the item within this group

=back



=cut


=head1 STYLE PROPERTIES

=over

=item 'expander-size' (integer : default 16 : readable / private / static-nick / static-blurb)

Size of the expander arrow

=item 'header-spacing' (integer : default 2 : readable / private / static-nick / static-blurb)

Spacing between expander arrow and caption

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::ReliefStyle

=over

=item * 'normal' / 'GTK_RELIEF_NORMAL'

=item * 'half' / 'GTK_RELIEF_HALF'

=item * 'none' / 'GTK_RELIEF_NONE'

=back


=head2 enum Pango::EllipsizeMode

=over

=item * 'none' / 'PANGO_ELLIPSIZE_NONE'

=item * 'start' / 'PANGO_ELLIPSIZE_START'

=item * 'middle' / 'PANGO_ELLIPSIZE_MIDDLE'

=item * 'end' / 'PANGO_ELLIPSIZE_END'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

